using System.Collections.Generic;
using RESTAgent.BasicMediaTypes.Hal;

namespace RESTAgent.BasicMediaTypes {
    public static class HalDocumentExtensions {
        public static HalResource CreateResource(this HalDocument document, string rel, string href) {
            return new HalResource() { Rel = rel, Href = href };
        }
        public static Dictionary<string, HalNode> WithContents(this HalResource resource) {
            resource.Contents = new Dictionary<string, HalNode>();
            return resource.Contents;
        }
    }
}