using System;
using System.Collections.Generic;

namespace RESTAgent.BasicMediaTypes.Hal {
    public class HalResource : HalNode {
        public string Name { get; set; }
        public string Href { get; set; }

        public Dictionary<string, HalNode> Contents { get; set;}

        public override string Key {
            get {
                return base.Key + (String.IsNullOrEmpty(Name) ? string.Empty : "[" + Name + "]");
            }
        }
        public HalLink ResourceLink { get {
            return new HalLink() {
                                     Href = Href,
                                     Rel = Rel
                                 };
        } }
    }
}