﻿using System;

namespace Tavis.Interfaces {
    public interface ILinkFactory {
		
		ILink CreateLink(string linkRelation);
        string GetRel(Type type);
		void RegisterLinkType<T>(string relation) where T : ILink;
		void RegisterLinkProcessor(Func<ILink, ILink> processor);
    }
}
