﻿using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Formatting;

namespace Tavis.Interfaces
{
	public interface ISemanticsRepository
	{
		IEnumerable<MediaTypeFormatter> Formatters { get; }

		ILinkExtractor GetLinkExtractor(Type type);

		ILink GetBookmark(string key);
		HttpContent GetPreregisteredContent(ILink link);
	}
}
