﻿using System;

namespace Tavis
{
	public class FormatterNotFoundException : Exception
	{
		public FormatterNotFoundException(string mediaType)
			: base("No formatter compatible with media type '" + mediaType + "' found")
		{	
		}
	}



	public class LinkExtractorNotFoundException : Exception
	{
		public LinkExtractorNotFoundException(Type type)
			: base("No link extractor compatible with type '" + type.FullName + "' found")
		{	
		}
	}
}
